# Generated by Django 3.2.8 on 2021-11-19 06:38

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0018_auto_20211118_1609"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtelectionpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "candidate_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "candidate_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=["district.DistrictPersonPage"],
                                        ),
                                        label="Kandidáti",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="districtelectionpage",
            name="header",
            field=wagtail.fields.StreamField(
                [
                    (
                        "election_header_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "flag_text",
                                    wagtail.blocks.CharBlock(
                                        label="Text ve 'vlajce'",
                                        max_length=32,
                                        required=False,
                                    ),
                                ),
                                (
                                    "motto",
                                    wagtail.blocks.CharBlock(
                                        label="Motto (podnadpis)",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek (kandidátů)", required=False
                                    ),
                                ),
                                (
                                    "background_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek na pozadí", required=True
                                    ),
                                ),
                                (
                                    "button_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "button_link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", max_length=64
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        label="Text"
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Call to action tlačítka",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Obsah headeru",
            ),
        ),
    ]
